all: libraries

INCLUDEDIR = /tmp_mnt/auto/kolix2/kurs/projdi/projdi03/LyXkom/kom_include

DEBUGLIBS =
LIBS = -Llib -lclient-sup -llyskom-client -lmisc -lm

RANLIB = ranlib
CC = gcc
SUBCFLAGS=-DCLIENT $(CFLAGS) -I$(INCLUDEDIR) -O2

.PHONY: libraries
libraries: lib/libclient-sup.a lib/liblyskom-client.a lib/libmisc.a

CLIENTSUPPORT = \
	lib/client-support/client-config.o lib/client-support/input.o \
	lib/client-support/isc-async.o  lib/client-support/isc-client.o \
	lib/client-support/isc-output.o lib/client-support/isc-parse.o \
	lib/client-support/kom-types.o  lib/client-support/missing.o \
	lib/client-support/output.o     lib/client-support/services.o

lib/libclient-sup.a: $(CLIENTSUPPORT)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

$(CLIENTSUPPORT):
	cd lib/client-support; $(CC) $(SUBCFLAGS) -c `basename $@ .o`.c

COMMON = \
	lib/libcommon/kom-errno.o

lib/liblyskom-client.a: $(COMMON)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@
$(COMMON):
	cd lib/libcommon; $(CC) $(SUBCFLAGS) -c `basename $@ .o`.c

MISC = 	lib/libmisc/s-string.o

lib/libmisc.a: $(MISC)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@
$(MISC):
	cd lib/libmisc; $(CC) $(SUBCFLAGS) -c `basename $@ .o`.c
