/* gui_protos.h - Prototypes for the GUI_* files in LyXKom */
/* version 0.6 */

#include <suit.h>

/* gui_utils.c */

void GUI_erase_meeting(lyx_list_meetings_return *, int );
void GUI_error(char *, int );
int GUI_char_count(char *, char );
char *GUI_parse_at(char **);
SUIT_object GUI_get_root_child(SUIT_object );
void GUI_toggle_visible(SUIT_object );
void GUI_avbrytdo(SUIT_object );
char *GUI_insert_string(char *, char *, int );
char **GUI_make_backup(char **, int );
void GUI_free_backup(char **, int );

/* gui_help.c */

void GUI_helpdo(SUIT_object );
void GUI_create_help(void );

/* gui_main.c */

void GUI_mavbrytdo(SUIT_object );

/* gui_read.c */

void GUI_create_read_win(void );
void GUI_mlasdo(SUIT_object );

/* gui_conflist.c */

void GUI_llminado(SUIT_object );
void GUI_llnyado(SUIT_object );
void GUI_llallado(SUIT_object );
void GUI_llnyheterdo(SUIT_object );
void GUI_create_list_win(void );

/* gui_write.c */

void GUI_create_write_win(void );
void GUI_lssvarado(SUIT_object );
void GUI_lsnyttdo(SUIT_object );

/* gui_login.c */

void GUI_create_login_win(void );
void GUI_create_dbcheck_win(void );

/* gui_userlist.c */

void GUI_create_userlist_win(void );
void GUI_movilkado(SUIT_object );
void GUI_molado(SUIT_object );
