#ifndef LYX_PROTOS_H
#define LYX_PROTOS_H

/* lyx_login.c */

void lyx_change_what_i_am_doing( char *);
int lyx_init(void);
int lyx_login(char *, char *, char *);

/* lyx_create_user.c */

void lyx_create_user(char *, char *);

/* lyx_whoison.c */

void lyx_who_is_on(lyx_who_is_on_return *);
void lyx_who_is_on_free(lyx_who_is_on_return *);

/* lyx_list_all_users.c */

void lyx_list_all_users(char *, lyx_who_is_on_return *);
void lyx_list_all_users_free(lyx_who_is_on_return *);

/* lyx_status_user.c */

void lyx_status_user(int, lyx_status_user_return *);
void lyx_status_user_free(lyx_status_user_return *);

/* lyx_status_meeting.c */

void lyx_status_meeting(int, lyx_status_meeting_return *);
void lyx_status_meeting_free(lyx_status_meeting_return *);

/* lyx_list_meetings.c */

void lyx_list_meetings(char *, lyx_list_meetings_return *);
void lyx_list_membership_news(lyx_list_meetings_return *);
void lyx_list_membership_meetings(lyx_list_meetings_return *);
void lyx_list_meetings_free(lyx_list_meetings_return *);

/* lyx_subscribe.c */

int lyx_subscribe(int );

/* lyx_unsubscribe.c */

int lyx_unsubscribe(int );

/* lyx_enter_comment_text.c */

int lyx_enter_comment_text(int, char *);

/* lyx_enter_new_text.c */

void lyx_enter_new_text(int, char *);

/* ndra hr sedan! tubens preliminra sm protos! */

void lyx_get_spec_text(lyx_get_text_return *, int );
void lyx_get_next_text(lyx_get_text_return *);
void lyx_get_text_free(lyx_get_text_return *);

#endif
