#include <stdio.h>
#include <stdlib.h>

#include <s-string.h>
#include <kom-types.h>
#include <kom-errno.h>
#include <services.h>

#include <lyxkom.h>
#include <lyx_protos.h>
#include <lyxerr.h>
#include <lyxkom_global.h>
#include <gui_protos.h>

/*
 * NAME lyx_create_user.c
 *
 * CREATED           93-05-13 by Ajo
 * LAST CHANGED:     93-05-18 by Ajo
 *
 * DESCRIPTION
 *
 * Call this function with the name and the pasword of the new user.
 * This function will set 'user_id' to the correct value.
 *
 */

void lyx_create_user(char *name, char *password)
{
	String Name = EMPTY_STRING;
	String Password = EMPTY_STRING;

	s_crea_str(&Name, name);
	s_crea_str(&Password, password);

	user_id = (int)kom_create_person(Name, Password);
	if (user_id == 0)
		GUI_error("Serverfel (1:1)", SERVER_ERROR);
	
}

