#include <stdio.h>
#include <stdlib.h>
  
#include <s-string.h>
#include <kom-types.h>
#include <kom-errno.h>
#include <services.h>  
  
#include <lyxkom.h>
#include <lyx_protos.h>
#include <lyxerr.h>
#include <lyxkom_global.h>
#include <gui_protos.h>
  
/*
 * NAME lyx_set_unread.c
 *
 * CREATED           93-05-13 by Ajo & Janne
 * LAST CHANGED:     93-05-18 by Ajo & Janne
 *
 * DESCRIPTION
 *
 * Call this function with a number of a meeting and the number of texts
 * you want to have unread.
 * This function sets the number of unread to what you have specified.
 */
  
void lyx_set_unread(int conf_no, int no_of_unread)      
{
    Conference conf_list = EMPTY_CONFERENCE;
    
    if(kom_get_conf_stat((Conf_no)conf_no, &conf_list) == FAILURE)
      GUI_error("Serverfel (10:1)",SERVER_ERROR);
    
    if(no_of_unread > conf_list.no_of_texts)
      no_of_unread = conf_list.no_of_texts;
    
    if (kom_set_unread((Conf_no)conf_no, (Text_no)no_of_unread) == FAILURE)      
      GUI_error("Serverfel (10:2)",SERVER_ERROR);
    lyx_goto_meeting(curr_conf);
}
